## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicContext

Class DynamicError

Class EmptyEnumerator

Class ExtensionFunctionCall

Class ExtensionFunctionDefinition

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class Serializer

Class StaticContext

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAnyFunctionType

Class XdmAnyItemType

Class XdmAnyNodeType

Class XdmAtomicType

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmItemType

Class XdmNode

Class XdmNodeKind

Class XdmSequenceType

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXdmEnumerator

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class StaticContext

    public class StaticContext

implements object

  The class `StaticContext` provides information about the static context of an expression

Property Summary
`Uri` | `ModuleUri` The URI of the module where an expression appears, suitable for use in diagnostics
`int` | `LineNumber` The line number within a module where an expression appears, suitable for use in diagnostics
`Uri` | `BaseUri` The static base URI of the expression. Often the same as the URI of the containing module, but not necessarily so, for example in a stylesheet that uses external XML entities or the xml:base attribute
`Processor` | `Processor` The `Processor` that was used to create the query or stylesheet from which this extension function was invoked.
`JStaticContext` | `Implementation` The underlying object in the Saxon implementation, an instance of class `net.sf.saxon.expr.StaticContext`

Method Summary
`String` | `GetNamespaceForPrefix(string Prefix)` Resolve an in-scope namespace prefix to obtain the corresponding namespace URI. If the prefix is a zero-length string, the default namespace for elements and types is returned.

Property Detail

### ModuleUri

    public Uri ModuleUri {get; }

  The URI of the module where an expression appears, suitable for use in diagnostics

### LineNumber

    public int LineNumber {get; }

  The line number within a module where an expression appears, suitable for use in diagnostics

### BaseUri

    public Uri BaseUri {get; }

  The static base URI of the expression. Often the same as the URI of the containing module, but not necessarily so, for example in a stylesheet that uses external XML entities or the xml:base attribute

### Processor

    public Processor Processor {get; }

  The `Processor` that was used to create the query or stylesheet from which this extension function was invoked.

  This property is useful if the extension function wishes to create new nodes (the `Processor` can be used to obtain a `DocumentBuilder`), or to execute XPath expressions or queries.

  There may be circumstances in which the `Processor` is not available, in which case this method may return null, or may return a different `Processor`. This will happen only if low-level interfaces have been used to cause a `Configuration` to be shared between several `Processor` instances, or between a `Processor` and other applications.

### Implementation

    public JStaticContext Implementation {get; }

  The underlying object in the Saxon implementation, an instance of class `net.sf.saxon.expr.StaticContext`

  This property provides access to internal methods in the Saxon engine that are not specifically exposed in the .NET API. In general these methods should be considered to be less stable than the classes in the Saxon.Api namespace.

  The internal methods follow Java naming conventions rather than .NET conventions.

  Information about the returned object (and the objects it provides access to) is included in the Saxon JavaDoc docmentation, available online.

Method Detail

### GetNamespaceForPrefix

    public String GetNamespaceForPrefix(string Prefix)

  Resolve an in-scope namespace prefix to obtain the corresponding namespace URI. If the prefix is a zero-length string, the default namespace for elements and types is returned.

  Parameters:
  `Prefix` -
    The namespace prefix
  returns
    The corresponding namespace URI if there is one, or null otherwise